/* 

Functions for checking LDU2 and Script API version
==================================================
 
Required API version: v1.2.0 

Globals: LDU2_VERSION

*/

var swVersionStrToInt = function(swVersionStr) {
    var matches = function(regex, str) {
        return new RegExp(regex).test(str);
    };

    var result = 0;         
   
    if( !matches("[b,B]", swVersionStr) ) {        
        swVersionStr = swVersionStr + "b0";
    }    
    
    if( matches("\\d+\\.\\d+\\.\\d+[b,B]\\d+", swVersionStr) ) {
        
        var components = swVersionStr.split(new RegExp("[v,V|.|b,B]"));        
        
        for(i in components) {                    
            result = result * 1000 + components[i];                     
        }
    }
    
    return result;
}

var checkLdu2Version = function(swVersionStr) {
    return ((typeof LDU2_VERSION !== 'undefined') && (swVersionStrToInt(swVersionStr) <= swVersionStrToInt(LDU2_VERSION));
}